Name:           python-cfn-lint
Version:        1.37.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Checks CloudFormation templates for practices and behaviour that could potentially be improved

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT-0
URL:            https://github.com/aws-cloudformation/cfn-lint
Source:         %{pypi_source cfn_lint}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cfn-lint' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cfn-lint
Summary:        %{summary}

%description -n python3-cfn-lint %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-cfn-lint full,graph,junit,sarif


%prep
%autosetup -p1 -n cfn_lint-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x full,graph,junit,sarif


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cfn-lint -f %{pyproject_files}


%changelog
%autochangelog